package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 服务器信息表
 */
@Table(name = "NODEINFORMATION")
public class NodeInformation implements Serializable{
	@Id
	@Column(name = "Node_Index")
	private Long nodeIndex;

	@Column(name = "Node_Name")
	private String nodeName;

	@Column(name = "Node_Desc")
	private String nodeDesc;

	@Column(name = "Node_IP")
	private String nodeIP;

	@Column(name = "Node_Status")
	private Long nodeStatus;

	@Column(name = "NODE_GRADE")
	private Integer nodeGrade;

	@Column(name = "NODE_DEV_NUM")
	private Integer nodeDevNum;

	@Column(name = "NODE_ORDER")
	private Integer nodeOrder;


	public Integer getNodeDevNum() {
		return nodeDevNum;
	}

	public void setNodeDevNum(Integer nodeDevNum) {
		this.nodeDevNum = nodeDevNum;
	}

	public Integer getNodeOrder() {
		return nodeOrder;
	}

	public void setNodeOrder(Integer nodeOrder) {
		this.nodeOrder = nodeOrder;
	}

	public Integer getNodeGrade() {
		return nodeGrade;
	}

	public void setNodeGrade(Integer nodeGrade) {
		this.nodeGrade = nodeGrade;
	}

	public Long getNodeIndex() {
		return nodeIndex;
	}

	public void setNodeIndex(Long nodeIndex) {
		this.nodeIndex = nodeIndex;
	}

	public String getNodeName() {
		return nodeName;
	}

	public void setNodeName(String nodeName) {
		this.nodeName = nodeName;
	}

	public String getNodeDesc() {
		return nodeDesc;
	}

	public void setNodeDesc(String nodeDesc) {
		this.nodeDesc = nodeDesc;
	}

	public String getNodeIP() {
		return nodeIP;
	}

	public void setNodeIP(String nodeIP) {
		this.nodeIP = nodeIP;
	}

	public Long getNodeStatus() {
		return nodeStatus;
	}

	public void setNodeStatus(Long nodeStatus) {
		this.nodeStatus = nodeStatus;
	}

}
